Bug 284321 - Qt4 Designer doesn't search /usr/lib/kde4/plugins/designer
Qt4 Designer doesn't search /usr/lib/kde4/plugins/designer
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: qt4 (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-10 02:26 EDT by Kevin Kofler
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-13 00:20:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2007-09-10 02:26:03 EDT
Description of problem:
Qt4 Designer doesn't find kdewidgets.so in /usr/lib/kde4/plugins/designer

Version-Release number of selected component (if applicable):
qt4-devel-4.3.1-3.fc7

How reproducible:
Always

Steps to Reproduce:
1. Install qt4-devel-4.3.1-3.fc7 and kdelibs4-devel-3.93.0-3.fc7.
2. Start designer-qt4.
  
Actual results:
No KDE widgets listed.

Expected results:
KDE widgets listed.

Additional info:
Workaround: copy kdewidgets.so to /usr/lib/qt4/plugins/designer as my kdelibs4 
RPMs originally did.
Comment 1 Rex Dieter 2007-09-12 12:46:19 EDT
Arg, there doesn't seem to be a simple conf option for this (anymore),
apparently only way to munge this is to set env var QT_PLUGIN_PATH

Offhand, simplest thing to do here is to for the kde4 pkgs to include a
/etc/profile.d/kde4.sh that sets QT_PLUGIN_PATH (and/or appends) to include
/usr/lib/kde4/plugins/designer

I 'spose we could include this in the qt4 packaging too, heck, I'll just do that.
Comment 2 Rex Dieter 2007-09-12 13:12:49 EDT
Arg, to be multilib-friendly, this has to use something like kde4-config to
determine the path at runtime, e.g.
QT_PLUGIN_PATH=`kde4-config --prefix`/lib`kde4-config --libsuffix`
or rpm queries for %{?_kde_libdir} maybe.
Comment 3 Rex Dieter 2007-09-12 13:32:52 EDT
Something like:

if [ -z "$QT_PLUGIN_PATH" ]; then
  KDE4_LIBDIR=`/bin/rpm --eval '%{?_kde4_libdir}%{!?_kde4_libdir:%{_libdir}}'
2>/dev/null`
  QT_PLUGIN_PATH=${KDE4_LIBDIR}/kde4/plugins && export QT_PLUGIN_PATH
fi

?  

Would you rather this be in qt4 or kdelibs4 packaging?  (I'd lean toward the
latter).
Comment 4 Kevin Kofler 2007-09-13 00:20:29 EDT
Oh, I'll put this into kdelibs4 then.
Comment 6 Kevin Kofler 2007-09-13 02:22:49 EDT
Whoops, actually installing kde4.sh and kde4.csh would help. ;-) I didn't 
notice that it wasn't being installed for the kdelibs4 case. Fixing...

There's one drawback with this approach though: the search path will not get 
instantly applied, only when the profile is read in.
Comment 7 Kevin Kofler 2007-09-13 04:08:40 EDT
Actually tested version:
https://www.redhat.com/archives/fedora-extras-commits/2007-September/msg02340.html

Note You need to log in before you can comment on or make changes to this bug.